﻿<#
.SYNOPSIS
An install script for installing Erlang silently on the machine via ChocolateyNuGet

.NOTES
Author: Onorio Catenacci - catenacci@ieee.org
Version: 22.3
#>

$package = 'erlang'
$version = '22.3'
$erl_version = '10.7'

$params = @{
  PackageName = $package
  FileType = 'exe'
  SilentArgs = '/S'
  Url = "https://www.erlang.org/download/otp_win32_$version.exe"
  CheckSum = '8878aea69f593f2e4cd8838b558fa99531addc4528c673a079e84d6cf306c031' 
  CheckSumType = 'sha256'
  Url64 = "https://www.erlang.org/download/otp_win64_$version.exe"
  CheckSum64 = 'f6444c1229d05e866ea15dc8e372bd45cec822d229f6b06f34b0011121e8ca40'
  CheckSumType64 = 'sha256'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @params

$baseErlangPath = "$env:ProgramFiles/erl$erl_version/erts-$erl_version/bin"

Generate-BinFile "erl" -path "$baseErlangPath/erl.exe"
Generate-BinFile "werl" -path "$baseErlangPath/werl.exe"
Generate-BinFile "erlc" -path "$baseErlangPath/erlc.exe"
Generate-BinFile  "escript" -path "$baseErlangPath/escript.exe"
Generate-BinFile "dialyzer" -path "$baseErlangPath/dialyzer.exe"

